Bug 1304881 - paraview-devel: CMake error /usr/lib64/paraview/libvtkWrappingTools.a file does not exist
paraview-devel: CMake error /usr/lib64/paraview/libvtkWrappingTools.a file do...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: paraview (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 16:42 EST by Bernhard
Modified: 2016-10-22 00:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: paraview-5.1.2-1 paraview-5.2.0-0.4.RC2.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-22 00:00:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernhard 2016-02-04 16:42:59 EST
Description of problem:
I try to compile the ParaView Reader Plugin the ships with OpenFOAM. Compilation stops when cmake tries to do FIND_PACKAGE(ParaView REQUIRED). I get the following error message:

CMake Error at /usr/share/cmake/paraview/ParaViewTargets.cmake:2388 (message):
  The imported target "vtkWrappingTools" references the file

     "/usr/lib64/paraview/libvtkWrappingTools.a"

  but this file does not exist.  Possible reasons include:

  * The file was deleted, renamed, or moved to another location.

  * An install or uninstall procedure did not complete successfully.

  * The installation package was faulty and contained

     "/usr/share/cmake/paraview/ParaViewTargets.cmake"

  but not all the files it references.

Call Stack (most recent call first):
  /usr/share/cmake/paraview/ParaViewConfig.cmake:36 (include)
  CMakeLists.txt:12 (FIND_PACKAGE)


Version-Release number of selected component (if applicable):
paraview-devel-4.4.0-1.fc23.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
libvtkWrappingTools.a exists under /usr/lib64/vtk/
Comment 1 Orion Poplawski 2016-09-16 16:10:05 EDT
This should be fixed in paraview-5.1.2-1.  This will be coming to F25 shortly, perhaps F24 in a few weeks.  I'll look at backporting the fix to F23 now.
Comment 2 Fedora Update System 2016-10-20 18:57:03 EDT
paraview-5.2.0-0.4.RC2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b479ca1a88
Comment 3 Fedora Update System 2016-10-22 00:00:54 EDT
paraview-5.2.0-0.4.RC2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.